﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{49AD5F38-9E37-4967-9E84-FE19C7434ED7}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <RootNamespace>Moriarty</RootNamespace>
    <AssemblyName>Moriarty</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Management" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.ServiceProcess" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Msrc\CVE-2021-1675.cs" />
    <Compile Include="Msrc\CVE-2021-36934.cs" />
    <Compile Include="Msrc\CVE-2021-26858.cs" />
    <Compile Include="Msrc\CVE-2021-27065.cs" />
    <Compile Include="Msrc\CVE-2021-44228.cs" />
    <Compile Include="Msrc\CVE-2022-22965.cs" />
    <Compile Include="Msrc\CVE-2022-40140.cs" />
    <Compile Include="Msrc\CVE_2021_26855.cs" />
    <Compile Include="Msrc\CVE_2021_26857.cs" />
    <Compile Include="Utils\Debug.cs" />
    <Compile Include="Utils\Info.cs" />
    <Compile Include="Msrc\CVE-2017-7199.cs" />
    <Compile Include="Msrc\CVE-2019-1253.cs" />
    <Compile Include="Msrc\CVE-2019-1385.cs" />
    <Compile Include="Msrc\CVE-2020-0668.cs" />
    <Compile Include="Msrc\CVE-2020-0683.cs" />
    <Compile Include="Msrc\CVE-2020-0796.cs" />
    <Compile Include="Msrc\CVE-2020-1013.cs" />
    <Compile Include="Msrc\CVE-2019-1405.cs" />
    <Compile Include="Msrc\CVE-2019-1388.cs" />
    <Compile Include="Msrc\CVE-2019-1315.cs" />
    <Compile Include="Msrc\CVE-2019-0836.cs" />
    <Compile Include="Msrc\CVE-2019-1130.cs" />
    <Compile Include="Msrc\CVE-2019-1064.cs" />
    <Compile Include="Msrc\CVE-2019-0841.cs" />
    <Compile Include="Msrc\CVE-2023-36664.cs" />
    <Compile Include="Msrc\MS10-015.cs" />
    <Compile Include="Msrc\MS10-092.cs" />
    <Compile Include="Msrc\MS13-053.cs" />
    <Compile Include="Msrc\MS13-081.cs" />
    <Compile Include="Msrc\MS14-058.cs" />
    <Compile Include="Msrc\MS15-051.cs" />
    <Compile Include="Msrc\MS15-078.cs" />
    <Compile Include="Msrc\MS16-016.cs" />
    <Compile Include="Msrc\MS16-032.cs" />
    <Compile Include="Msrc\MS16-034.cs" />
    <Compile Include="Msrc\MS16-135.cs" />
    <Compile Include="Utils\VulnerabilityCollection.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Utils\Vulnerability.cs" />
    <Compile Include="Utils\Wmi.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.8">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.8 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>